Change in-editor feedback tool to point to mediawiki.org
Closed, ResolvedPublic1 Story Points

Description

Per https://phabricator.wikimedia.org/T162664#3706442, please let feedback coming from
ilo, he, mr, sv, fi, bn, nl, ko, it, ja, hu, fr, fa, es, ar
land on mw.org.

Original description:
As part of T162664: Second phase of centralisation of VE user feedback, it would be good to point the in-editor "Give feedback" tool to mediawiki.org rather than local wikis. See parent task for more details.

This change itself would not affect the status or existence on the per-wiki feedback pages.

Deskana created this task.Jun 26 2017, 4:17 PM

Dan, the tool already does that, except for wikis that wished to keep feedback local.
So if, say, we implemented this at en.wp, the actual result would be that random, mostly OT content ends up in the mw.org board, while the most relevant content (that's usually not posted through that tool) stays local :)

@Elitre Ah, I didn't know that. I think I misunderstood the request then. @Whatamidoing-WMF, can you elaborate? Thanks!

This question was specifically about whether to redirect the in-editor feedback from the English Wikipedia, but keep the local board active anyway. This can be decided later.

Elitre removed Elitre as the assignee of this task.Jun 29 2017, 2:49 PM
Elitre updated the task description. (Show Details)Oct 24 2017, 3:46 PM

Dan, I've made this more general now. Please assign to whoever can make this happen.
I don't have an opinion about en.wp - I think when we discussed we said we could give it a try, though.

Thanks.

@Elitre Some of these wikis already point to mediawiki.org, namely:

  • ilo
  • he
  • mr

The rest do not, and those can be changed.

Deskana claimed this task.Oct 24 2017, 4:23 PM
Deskana set the point value for this task to 1.

Change 386222 had a related patch set uploaded (by Deskana; owner: Deskana):
[operations/mediawiki-config@master] Updating wikis with consolidate editing feedback

https://gerrit.wikimedia.org/r/386222

Change 386222 merged by jenkins-bot:
[operations/mediawiki-config@master] Updating wikis with consolidate editing feedback

https://gerrit.wikimedia.org/r/386222

Mentioned in SAL (#wikimedia-operations) [2017-10-25T13:36:44Z] <mattflaschen@tin> Synchronized wmf-config/InitialiseSettings.php: T168886: Updating wikis with consolidate editing feedback (duration: 00m 51s)

Deskana closed this task as Resolved.Oct 25 2017, 1:43 PM

Deployed.

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptOct 25 2017, 1:43 PM
Stryn added a subscriber: Stryn.Dec 18 2017, 2:56 PM

The link is not pointing to mediawiki.org but the local wikis "VisualEditor/Feedback" page that doesn't exist, please fix the link. It was reported at https://fi.wikipedia.org/w/index.php?title=Keskustelu_Wikipediasta%3AVisuaalinen_muokkain%2FPalaute&type=revision&diff=16969118&oldid=16851137

The link is not pointing to mediawiki.org but the local wikis "VisualEditor/Feedback" page that doesn't exist, please fix the link. It was reported at https://fi.wikipedia.org/w/index.php?title=Keskustelu_Wikipediasta%3AVisuaalinen_muokkain%2FPalaute&type=revision&diff=16969118&oldid=16851137

This is T125400. Fixing it was more complicated than it seemed whilst some wikis had centralised feedback and others had local feedback, but now that all wikis are using centralised feedback it might be easier to fix.

To be clear, T125400 is a visual glitch in the feedback dialogue only. The feedback does correctly post on mediawiki.org.

This comment was removed by Elitre.

Change 425248 had a related patch set uploaded (by Deskana; owner: Deskana):
[operations/mediawiki-config@master] Update wikis with consolidate editing feedback

https://gerrit.wikimedia.org/r/425248

Change 425248 merged by jenkins-bot:
[operations/mediawiki-config@master] Update wikis with consolidate editing feedback

https://gerrit.wikimedia.org/r/425248

Mentioned in SAL (#wikimedia-operations) [2018-04-10T13:19:11Z] <zfilipin@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:425248|Update wikis with consolidate editing feedback (T168886)]] (duration: 01m 00s)

Change 425264 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[operations/mediawiki-config@master] Revert "Update wikis with consolidate editing feedback"

https://gerrit.wikimedia.org/r/425264

For reasons unknown to me, the above patch caused the feedback to be silently discarded. I have no idea why.

Change 425264 merged by jenkins-bot:
[operations/mediawiki-config@master] Revert "Update wikis with consolidate editing feedback"

https://gerrit.wikimedia.org/r/425264

Mentioned in SAL (#wikimedia-operations) [2018-04-10T13:32:58Z] <zfilipin@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:425264|Revert "Update wikis with consolidate editing feedback" (T168886)]] (duration: 00m 59s)